Bullet Collision Detection & Physics Library: btSphereTriangleCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
btSphereTriangleCollisionAlgorithm Class Reference

btSphereSphereCollisionAlgorithm provides sphere-sphere collision detection. More...

`#include <btSphereTriangleCollisionAlgorithm.h>`

Inheritance diagram for btSphereTriangleCollisionAlgorithm:
[legend]
Collaboration diagram for btSphereTriangleCollisionAlgorithm:
[legend]

## Classes
struct | CreateFunc

## Public Member Functions
| btSphereTriangleCollisionAlgorithm (btPersistentManifold *mf, const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, bool swapped)
| btSphereTriangleCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
virtual | ~btSphereTriangleCollisionAlgorithm ()
Public Member Functions inherited from btActivatingCollisionAlgorithm
virtual | ~btActivatingCollisionAlgorithm ()
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Private Attributes
bool | m_ownManifold
btPersistentManifold * | m_manifoldPtr
bool | m_swapped

## Additional Inherited Members
Protected Member Functions inherited from btActivatingCollisionAlgorithm
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
| btActivatingCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

btSphereSphereCollisionAlgorithm provides sphere-sphere collision detection.

Other features are frame-coherency (persistent data) and collision response. Also provides the most basic sample for custom/user btCollisionAlgorithm

Definition at line 28 of file btSphereTriangleCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btSphereTriangleCollisionAlgorithm() [1/2]

btSphereTriangleCollisionAlgorithm::btSphereTriangleCollisionAlgorithm | ( | btPersistentManifold * | mf,
|  | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | bool | swapped
| ) |  |

Definition at line 23 of file btSphereTriangleCollisionAlgorithm.cpp.

## ◆ btSphereTriangleCollisionAlgorithm() [2/2]

btSphereTriangleCollisionAlgorithm::btSphereTriangleCollisionAlgorithm | ( | const btCollisionAlgorithmConstructionInfo & | ci | ) |
| inline

Definition at line 37 of file btSphereTriangleCollisionAlgorithm.h.

## ◆ ~btSphereTriangleCollisionAlgorithm()

btSphereTriangleCollisionAlgorithm::~btSphereTriangleCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 36 of file btSphereTriangleCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

btScalar btSphereTriangleCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 73 of file btSphereTriangleCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

virtual void btSphereTriangleCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| inlinevirtual

Implements btCollisionAlgorithm.

Definition at line 44 of file btSphereTriangleCollisionAlgorithm.h.

## ◆ processCollision()

void btSphereTriangleCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

report a contact. internally this will be kept persistent, and contact reduction is done

Implements btCollisionAlgorithm.

Definition at line 45 of file btSphereTriangleCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_manifoldPtr

btPersistentManifold* btSphereTriangleCollisionAlgorithm::m_manifoldPtr
| private

Definition at line 31 of file btSphereTriangleCollisionAlgorithm.h.

## ◆ m_ownManifold

bool btSphereTriangleCollisionAlgorithm::m_ownManifold
| private

Definition at line 30 of file btSphereTriangleCollisionAlgorithm.h.

## ◆ m_swapped

bool btSphereTriangleCollisionAlgorithm::m_swapped
| private

Definition at line 32 of file btSphereTriangleCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btSphereTriangleCollisionAlgorithm.h
- btSphereTriangleCollisionAlgorithm.cpp